#!/bin/bash
echo -e "\033[31m自动修改Zabbix文件里面的主机名称\033[0m"
echo -e "\033[31m 格式为: 主机名 + 主机内网IP \033[0m"
name=`hostname`
nwip=`ifconfig|grep 'inet '|grep -v '127.0'|xargs|awk -F '[ :]' '{print $2}'`
css="$name-$nwip"
sed -i "s#Hostname=$nwip#Hostname=$css#g"  /opt/zabbix/etc/zabbix_agentd.conf 
echo
echo
echo -e "\033[31m 查询Zabbix端口是否正常启动 \033[0m"
netstat -nltp |grep 10050 
netstat -nltp |grep 9999
echo -e "\033[31m 查询主机接口端口是什么 \033[0m"
cat /opt/zabbix/etc/zabbix_agentd.conf |grep ListenPort
echo -e "\033[31m 查询主机内网IP是否成功修改 \033[0m"
cat /opt/zabbix/etc/zabbix_agentd.conf |grep $nwip
echo -e "\033[31m 查询主机名称是否修改 \033[0m"
cat /opt/zabbix/etc/zabbix_agentd.conf |grep Hostname

